Bullet Collision Detection & Physics Library: btBridgedManifoldResult Struct Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
btBridgedManifoldResult Struct Reference
Inheritance diagram for btBridgedManifoldResult:
[legend]
Collaboration diagram for btBridgedManifoldResult:
[legend]

## Public Member Functions
| btBridgedManifoldResult (const btCollisionObjectWrapper *obj0Wrap, const btCollisionObjectWrapper *obj1Wrap, btCollisionWorld::ContactResultCallback &resultCallback)
virtual void | addContactPoint (const btVector3 &normalOnBInWorld, const btVector3 &pointInWorld, btScalar depth)
Public Member Functions inherited from btManifoldResult
| btManifoldResult ()
| btManifoldResult (const btCollisionObjectWrapper *body0Wrap, const btCollisionObjectWrapper *body1Wrap)
virtual | ~btManifoldResult ()
void | setPersistentManifold (btPersistentManifold *manifoldPtr)
const btPersistentManifold * | getPersistentManifold () const
btPersistentManifold * | getPersistentManifold ()
virtual void | setShapeIdentifiersA (int partId0, int index0)
| setShapeIdentifiersA/B provides experimental support for per-triangle material / custom material combiner
virtual void | setShapeIdentifiersB (int partId1, int index1)
void | refreshContactPoints ()
const btCollisionObjectWrapper * | getBody0Wrap () const
const btCollisionObjectWrapper * | getBody1Wrap () const
void | setBody0Wrap (const btCollisionObjectWrapper *obj0Wrap)
void | setBody1Wrap (const btCollisionObjectWrapper *obj1Wrap)
const btCollisionObject * | getBody0Internal () const
const btCollisionObject * | getBody1Internal () const
Public Member Functions inherited from btDiscreteCollisionDetectorInterface::Result
virtual | ~Result ()

## Public Attributes
btCollisionWorld::ContactResultCallback & | m_resultCallback
Public Attributes inherited from btManifoldResult
btScalar | m_closestPointDistanceThreshold

## Additional Inherited Members
Static Public Member Functions inherited from btManifoldResult
static btScalar | calculateCombinedRestitution (const btCollisionObject *body0, const btCollisionObject *body1)
| in the future we can let the user override the methods to combine restitution and friction
static btScalar | calculateCombinedFriction (const btCollisionObject *body0, const btCollisionObject *body1)
| User can override this material combiner by implementing gContactAddedCallback and setting body0->m_collisionFlags |= btCollisionObject::customMaterialCallback;.
static btScalar | calculateCombinedRollingFriction (const btCollisionObject *body0, const btCollisionObject *body1)
static btScalar | calculateCombinedSpinningFriction (const btCollisionObject *body0, const btCollisionObject *body1)
static btScalar | calculateCombinedContactDamping (const btCollisionObject *body0, const btCollisionObject *body1)
static btScalar | calculateCombinedContactStiffness (const btCollisionObject *body0, const btCollisionObject *body1)
Protected Attributes inherited from btManifoldResult
btPersistentManifold * | m_manifoldPtr
const btCollisionObjectWrapper * | m_body0Wrap
const btCollisionObjectWrapper * | m_body1Wrap
int | m_partId0
int | m_partId1
int | m_index0
int | m_index1

## Detailed Description

Definition at line 1134 of file btCollisionWorld.cpp.

## Constructor & Destructor Documentation

## ◆ btBridgedManifoldResult()

btBridgedManifoldResult::btBridgedManifoldResult | ( | const btCollisionObjectWrapper * | obj0Wrap,
|  | const btCollisionObjectWrapper * | obj1Wrap,
|  | btCollisionWorld::ContactResultCallback & | resultCallback )
| inline

Definition at line 1138 of file btCollisionWorld.cpp.

## Member Function Documentation

## ◆ addContactPoint()

virtual void btBridgedManifoldResult::addContactPoint | ( | const btVector3 & | normalOnBInWorld,
|  | const btVector3 & | pointInWorld,
|  | btScalar | depth )
| inlinevirtual

Reimplemented from btManifoldResult.

Definition at line 1144 of file btCollisionWorld.cpp.

## Member Data Documentation

## ◆ m_resultCallback

btCollisionWorld::ContactResultCallback& btBridgedManifoldResult::m_resultCallback

Definition at line 1136 of file btCollisionWorld.cpp.

The documentation for this struct was generated from the following file:

- btCollisionWorld.cpp